/* Define GRID to use 3 backing planes with a grid on each of 1 Angstrom.
*/

/* #declare GRID=on  */

#ifndef (GRID)

sky_sphere {
    pigment {
        gradient y
        color_map {[0, 1  color Black color Black]}
    }
}

#else

#declare line_map1=color_map {
                       [ 0 0.04 color Black color Black]
                       [ 0.04 1 color White*1.4 color White*1.4]
                   }
#declare line_map2=color_map {
                       [ 0 0.04 color Black color Black]
                       [ 0.04 1 color Clear color Clear]
                   }

#declare X_PLANE_DISTANCE=15
#declare Y_PLANE_DISTANCE=15
#declare Z_PLANE_DISTANCE=-15

plane {
  x, -X_PLANE_DISTANCE
  texture{
    pigment{ 
      gradient y
      color_map {line_map1}
    }
  }
  texture{
    pigment{ 
      gradient z
      color_map {line_map2}
    }
  }
}

plane {
  y, -Y_PLANE_DISTANCE
  texture{
    pigment{ 
      gradient x
      color_map {line_map1}
    }
  }
  texture{
    pigment{ 
      gradient z
      color_map {line_map2}
    }
  }
}

plane {
  z, -Z_PLANE_DISTANCE
  texture{
    pigment{ 
      gradient y
      color_map {line_map1}
    }
  }
  texture{
    pigment{ 
      gradient x
      color_map {line_map2}
    }
  }
}

#end
